.modal {
    position: fixed;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    overflow-y: auto;
    z-index: 100;
    background: hsla(0,0%,100%,.2);
    -webkit-backdrop-filter: blur(5px);
    backdrop-filter: blur(5px);
}

.modal__inner {
    position: relative;
    z-index: 1;
    margin: 0;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    margin: auto;
    min-height: 100%;
    overflow: auto;
}
.modal__inner .container {
    padding-top: 40px;
    padding-bottom: 40px;
}

.modal__content {
    padding: 20px 20px 30px;
    position: relative;
    margin: 0 auto;
    width: 100%;
    max-width: 816px;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    border-radius: 20px;
    background: #141616;
}

@media (min-width: 768px) {
    .modal__content {
        padding: 30px 30px 40px;
    }
    }

@media (min-width: 1024px) {
    .modal__content {
    padding: 50px 50px 60px;
}
}



.modal__close {
    padding: 15px;
    position: absolute;
    right: 10px;
    top: 10px;
    cursor: pointer;
}

.modal__close svg {
    display: block;
    width: 30px;
    height: 30px;
}

.modal__header .h2 {
    font-size: 24px;
    line-height: 50px;
    font-weight: 600;
    color: $green1;
}

@media (min-width: 1024px) {
.modal__header .h2 {
    font-size: 36px;
    line-height: 50px;
}
}

.modal__close:hover {
    opacity: .7;
}

.scarecrow {
    width: 80%;
    border: 1px solid $green1;
    border-radius: 20px;
}

.modal__link {
    color: $green1;
}

.modal__inner {
    margin-bottom: 20px;
}




@media (max-width: 416px) {
    .modal__header .h2 {
        width: 70%;
        line-height: 25px;
    }
}


@media (max-width: 564px) {
    .modal__img {
        display: none;
    }
    .modal__button {
        width: 100%;
    }
}